Bug 62415 - gnome-mime-data should be integrated with file (/usr/share/magic) and /etc/mailcap.
gnome-mime-data should be integrated with file (/usr/share/magic) and /etc/ma...
Status: CLOSED DEFERRED
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-mime-data (Show other bugs)
skipjack-beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-31 09:31 EST by W. Michael Petullo
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-02 19:24:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2002-03-31 09:31:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020311

Description of problem:
I recently upgraded to the newest version of gnome-mime-data.

Gnome-mime-data includes some mime type databases which seem redundant.

/etc/gnome-vfs-mime-magic should be integrated with file's magic database
(/usr/share/magic on my system).

/usr/share/mime-info/gnome-vfs.mime should be integrated with /etc/mime.types.

/etc/mailcap should also be used by GNOME.

etc.

If gnome-mime-data was integrated with the more traditional databases such as
/etc/mime.types and /usr/share/magic, non-GNOME applications, such as file and
mutt, could take advantage of GNOME database updates.

Perhaps FHS or LSB should add mention of MIME related databases.  This work
should really be shared with KDE, command line tools, etc.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Notice that Skipjack includes /etc/gnome-vfs-mime-magic and /usr/share/magic
	

Additional info:
Comment 1 Havoc Pennington 2002-04-01 14:34:03 EST
You might look at http://www.freedesktop.org, go to about->gettinginvolved
and check over the recent archives of xdg-list, there's some discussion of 
this topic.

I think there's some reason people don't use the existing /usr/share/magic but
I'm not sure what it is.

I'll probably move this bug upstream shortly.
Comment 2 W. Michael Petullo 2002-04-12 16:29:01 EDT
The folks at freedesktop.org have been discussing this issue.  After some
discussion on the XDG mailing list,
https://listman.redhat.com/mailman/listinfo/xdg-list, a draft MIME-info database
standard was published.  The subject of the mail thread was "Central MIME info
database."  The standard is available at
http://www.ecs.soton.ac.uk/~tal00r/info.html.  Please take a look -- it is a start.
Comment 3 Havoc Pennington 2002-07-02 19:24:23 EDT
There's more upstream progress on this in the works.
Comment 4 Havoc Pennington 2002-07-05 17:51:25 EDT
I'm going to close this bug on the Red Hat level; the work here is 
going to come from upstream, with help from some people here, but 
in any case we don't need a Red Hat specific bug in order to be sure 
it happens.

Note You need to log in before you can comment on or make changes to this bug.